EDIT - task #9679

Formatter and update script for SpecimenOrObservationBase short cache
06/25/2021 10:11 AM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

.. or "identityCache".

Also think about deviding titleCache in titteCache and fullTitle(Cache) where only the later includes ecology and plant description.
This shortens the titleCache.

ke, maybe not for fullTitle(Cache)) : #9849

Related issues:

Related to EDIT - feature request #5952: Second cache field for specimen (ide... Closed
Related to EDIT - task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies Closed
Related to EDIT - feature request #5951: Add collector, field number and coll... New
Related to EDIT - task #9849: Remove trailing full stops from specimen titleC... Closed
Related to EDIT - feature request #9879: Short title for field and derived units New
Related to EDIT - bug #9978: Change of CacheStrategy from DerivedUnitFacade t... In Progress
Related to EDIT - task #9871: Use identity cache for specimens in TaxEditor New
History

#1 - 06/25/2021 10:12 AM - Andreas Miiller
- Related to feature request #5952: Second cache field for specimen (identityCache) added

#2 - 06/25/2021 10:12 AM - Andreas Miiller
- Related to task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies added

#3 - 06/25/2021 10:12 AM - Andreas Miiller

- Related to feature request #5951: Add collector, field number and collection to specimen search label added

#4 - 07/01/2021 03:28 PM - Andreas Miiller
- Priority changed from New to Highest

#5 - 07/01/2021 03:29 PM - Andreas Miiller

Once this is implemented we should add #5951 to current milestone.
#6 - 07/02/2021 12:09 PM - Andreas Miiller
- Subject changed from Update script for SpecimenOrObservationBase short cache to Formatter and update script for SpecimenOrObservationBase

short cache

#7 - 07/02/2021 12:11 PM - Andreas Miiller

- Description updated

#8 - 07/02/2021 12:24 PM - Andreas Miiller
- Description updated

#9 - 11/12/2021 03:45 PM - Andreas Miiller

- Related to task #9849: Remove trailing full stops from specimen titleCaches added
https://dev.e-taxonomy.eu/redmine/issues/5951

#10 - 11/12/2021 03:45 PM - Andreas Miiller
- Description updated

#11 - 11/22/2021 09:58 PM - Andreas Miiller

- Related to feature request #9879: Short title for field and derived units added

#12 - 03/23/2022 09:13 AM - Andreas Miiller

- Related to bug #9978: Change of CacheStrategy from DerivedUnitFacade to DerivedUnitDefaultCacheStrategy results in different caches for

MediaSpecimen added

#13 - 01/12/2023 11:07 AM - Andreas Miiller
- Related to task #9871: Use identity cache for specimens in TaxEditor added
